import { eCheckResult, eSource } from '../../../../consts';
import { iRRect, RRect } from '../../../../common-models';
/**
* Source, value and check result of a text data field
*/
export interface iRTextDataSource {
    /**
    * Source of the text data field
    * @type {eSource}
    */
    source: eSource;
    /**
    * Check result of the text data field
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * Value of the text data field
    * @type {string}
    */
    value: string;
    /**
    * Field recognition probability
    * @type {number}
    */
    probability: number;
    /**
    * Page index
    * @type {number}
    */
    pageIndex: number;
    /**
    * Rect
    * @type {RRect|undefined}
    */
    rect?: iRRect;
}
/**
* Source, value and check result of a text data field
*/
export declare class RTextDataSource implements iRTextDataSource {
    /**
    * Source of the text data field
    * @type {eSource}
    */
    source: eSource;
    /**
    * Check result of the text data field
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * Value of the text data field
    * @type {string}
    */
    value: string;
    /**
    * Field recognition probability
    * @type {number}
    */
    probability: number;
    /**
    * Page index
    * @type {number}
    */
    pageIndex: number;
    /**
    * Rect
    * @type {RRect|undefined}
    */
    rect?: RRect;
}
